## [0.4.1](https://dev.funkwhale.audio/funkwhale/ui/compare/0.4.0...0.4.1) (2024-11-14)


### Bug Fixes

* **package:** export main for umd consumption ([a9dbbe1](https://dev.funkwhale.audio/funkwhale/ui/commit/a9dbbe10d0a430a37395805048696dcf3ab3ed49))

## [0.4.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.3.0...v0.4.0) (2024-11-14)


### Features

* add Layout component (Stack, Grid, ...) ([09140fc](https://dev.funkwhale.audio/funkwhale/ui/commit/09140fcf82183d6fe09df60c820d282a165ea2db))
* add max modal height ([89b9d83](https://dev.funkwhale.audio/funkwhale/ui/commit/89b9d8328016e3dfd921a610891d2c9fbeed9a0d))
* **card, docs:** [WIP] Refactor props ([bcabd7a](https://dev.funkwhale.audio/funkwhale/ui/commit/bcabd7a708e7a0447d576d9ab9902704202979d1))
* **card:** Move scss to module within single-file component ([da85d2c](https://dev.funkwhale.audio/funkwhale/ui/commit/da85d2c87b93393638e027f384911b33e4dd3157))
* **docs:** Add style for preview box (example side-by-side with the code) ([092d82c](https://dev.funkwhale.audio/funkwhale/ui/commit/092d82c66ea59466bc78478ae0cea21fc7698436))
* **i18n:** Added Belarusian ([48e9740](https://dev.funkwhale.audio/funkwhale/ui/commit/48e9740c30c2a6637078c1272bd9fcc6f2dfc28a))
* **layout:** Add Spacer component; finish Layout component; add documentation ([f8327bd](https://dev.funkwhale.audio/funkwhale/ui/commit/f8327bd182d15b9325a302e25a136ccd7a255d13))
* **routing:** [WIP] Prepare router ([6667c4d](https://dev.funkwhale.audio/funkwhale/ui/commit/6667c4d6c070b00ddc9265969f5e4ff50e9a21ba))
* **style:** Use CSS variables to override defaults (--gap, --size) ([a692e85](https://dev.funkwhale.audio/funkwhale/ui/commit/a692e85cc37d88701bcc2060af490917fd0837fc))
* **tabs:** Add optional icon prop ([cb4d191](https://dev.funkwhale.audio/funkwhale/ui/commit/cb4d191d77c41a368cc5a609559fd1d1358a1f36))
* **tabs:** Tab width doesn't change when it's bold. A11y: Left/right keys change tab. ([5df20d3](https://dev.funkwhale.audio/funkwhale/ui/commit/5df20d3a15fe91b7ab7088aba10135ee688c4081))
* **theme:** Accept dark/light toggle-class from both vitepress (docs) and funkwhale (front) ([1a201d2](https://dev.funkwhale.audio/funkwhale/ui/commit/1a201d2493f2c5596ed62a10be11101a10dff5c2))


### Bug Fixes

* **a11y:** Text contrast on non-solid buttons ([95e3ab7](https://dev.funkwhale.audio/funkwhale/ui/commit/95e3ab7c166e73dac5e62f9c21b2729eda305109))
* Add Layout entry, Remove multi-artist code (migrated to @funkwhale/funkwhale); simplify code ([c55baf8](https://dev.funkwhale.audio/funkwhale/ui/commit/c55baf811f235ec1b61bf202624af4c2d4d45adc))
* **docs:** Broken links due to refactor ec57a602b9cef20c25c68c61f9123c8282a32474 ([73a03c5](https://dev.funkwhale.audio/funkwhale/ui/commit/73a03c56b746618a7ad3c2d8c45c91ffe3d4daa8))
* **docs:** Override leaking style from vitepress default theme ([d4d3e13](https://dev.funkwhale.audio/funkwhale/ui/commit/d4d3e13336e085b4e5675aea6cfb19ab13ff0e55))
* **dx:** Enable HMR by directly importing Vue Component into Markdown file. Also enables Vue LSP in Markdown. ([b98a73e](https://dev.funkwhale.audio/funkwhale/ui/commit/b98a73ed27b317d497e183b1966d0aa798a13b0b))
* **format:** Run pre-commit hook to format the source (`pre-commit run --all-files`) ([a1284c8](https://dev.funkwhale.audio/funkwhale/ui/commit/a1284c8f3041b620730573938332ff0904761fe0))
* **package:** do not publish CJS modules, only ESM ([93ff6a1](https://dev.funkwhale.audio/funkwhale/ui/commit/93ff6a110733ec7213ad66909c2fac5c8f2bda94))
* **package:** Export types (fixes a regression due to upgrading to typescript 4.7); remove duplicate fields in tsconfig (were already provided by @vue/tsconfig) ([1ef5e41](https://dev.funkwhale.audio/funkwhale/ui/commit/1ef5e41b4b75e2b299e3d4da89c76e1efe75a51b))
* **package:** No need to set baseUrl as paths is already set (https://www.typescriptlang.org/tsconfig/[#base](https://dev.funkwhale.audio/funkwhale/ui/issues/base)Url) ([1a2caa4](https://dev.funkwhale.audio/funkwhale/ui/commit/1a2caa4c77697496d34a74cbac485309bec0e436))
* **package:** Ugrade to newer @vue/tsconfig preset ([4724539](https://dev.funkwhale.audio/funkwhale/ui/commit/47245391faea93f89b016223b876a15f7d4ac990))
* **popover:** Correct icon for radio items ([9161980](https://dev.funkwhale.audio/funkwhale/ui/commit/9161980124abdcbf9b09c33723bc312ad75ca7d2))
* **release:** Fix release process to properly include changelog ([5e3830a](https://dev.funkwhale.audio/funkwhale/ui/commit/5e3830a47b8da8d81f41da4a9cf4c60bfd0b9c4f))
* set modal max width to 40rem ([a67f6ed](https://dev.funkwhale.audio/funkwhale/ui/commit/a67f6edbb10f11eeba6ed1ddca998c3a64b90e7d))
* set modal width to 40rem ([0dd3a03](https://dev.funkwhale.audio/funkwhale/ui/commit/0dd3a0380c50ec02343a2ea24bacdb0eee0cf242))
* **style:** Correctly override height and width in grid items; improve theme ([051257d](https://dev.funkwhale.audio/funkwhale/ui/commit/051257d5c2ada083a9b731d6901e4d567cff6dd6))
* **theme:** Correct selector for light theme in vitepress (docs) ([273bca9](https://dev.funkwhale.audio/funkwhale/ui/commit/273bca97bafc42759f7ab920b97d30bf5d39a397))

## [0.3.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.2.2...v0.3.0) (2023-11-29)

### Features

- add alert and modal components ([b44e0e8](https://dev.funkwhale.audio/funkwhale/ui/commit/b44e0e8d0c0f72a2b739d180e8201e49fdfae49e))
- add more props to buttons ([2cba5b7](https://dev.funkwhale.audio/funkwhale/ui/commit/2cba5b7497a02b093f68d6af1bcf928a49bdc8bf))

### Bug Fixes

- 'fix Cannot resolve TS type' errors ([c1cf965](https://dev.funkwhale.audio/funkwhale/ui/commit/c1cf96592d75e7860163d293fe698f322095ba12))
- add missing type import ([368d1be](https://dev.funkwhale.audio/funkwhale/ui/commit/368d1be93fc54db9fcc64cddd940ecb5c3041a70))
- apply [@mjourdan](https://dev.funkwhale.audio/mjourdan)'s suggestions ([2ef9b27](https://dev.funkwhale.audio/funkwhale/ui/commit/2ef9b273f431cc1f6757a320e21d00d58bca832d))

## [0.2.2](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.2.1...v0.2.2) (2023-09-25)

### Bug Fixes

- add styles export ([9d1cdca](https://dev.funkwhale.audio/funkwhale/ui/commit/9d1cdca348b825e6000665488f9143807ac195f2))
- include types in CI artifacts ([538c3d3](https://dev.funkwhale.audio/funkwhale/ui/commit/538c3d3852fffbccfe5f0c24f9a75718e02a2a4f))

## [0.2.1](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.2.0...v0.2.1) (2023-09-25)

### Bug Fixes

- resolve 'Could not find a declaration file for module @funkwhale/ui' error ([131e0b7](https://dev.funkwhale.audio/funkwhale/ui/commit/131e0b70a61c4e1fafbdd90e351a8302bc1d3de1))

## [0.2.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.3...v0.2.0) (2023-09-25)

### ⚠ BREAKING CHANGES

- add light and dark theme mixins
- **colors:** merge color props under common `color` prop

### Features

- add light and dark theme mixins ([60f4620](https://dev.funkwhale.audio/funkwhale/ui/commit/60f462094628d253ef017d64beda117866ba7c27))
- component based popovers ([39f5aa9](https://dev.funkwhale.audio/funkwhale/ui/commit/39f5aa907f9617439ca253d65393de8947ebdda8))
- **gitignore:** Avoid vitepress artifacts being committed ([edb104e](https://dev.funkwhale.audio/funkwhale/ui/commit/edb104e8fa5963d095fa2ebf1efa3c11b37ea02c))
- implement dark theme ([9336221](https://dev.funkwhale.audio/funkwhale/ui/commit/9336221d046cd7b6589f851e13dae2eea2b24855))
- **popover:** add `open`, `close` and `isOpen` props to the default slot ([6515d6f](https://dev.funkwhale.audio/funkwhale/ui/commit/6515d6f9eedd8bfc42a8569d43038ee62f9e363b))
- **renovate:** Make renovate to widen dependencies versions ([8ea1d40](https://dev.funkwhale.audio/funkwhale/ui/commit/8ea1d4025ba8c45cc1c592b0a53d95f9f906ef2d))
- **renovate:** Use funkwhale's shared presets ([968a7e7](https://dev.funkwhale.audio/funkwhale/ui/commit/968a7e7122c090191c47b11cfa6dcf6636637610))
- smaller output ([abf7849](https://dev.funkwhale.audio/funkwhale/ui/commit/abf78499642d521c67bfa1f7341249251d1cc6e6))
- **tooling:** Add Changelog management ([ce9bc09](https://dev.funkwhale.audio/funkwhale/ui/commit/ce9bc09757f11fbcc3855c7ef612c2a91cb19ae5))
- update colors ([b306ae5](https://dev.funkwhale.audio/funkwhale/ui/commit/b306ae51baa96be3837d4a61c5914eb4f3e62e4f))
- update colors ([4a48959](https://dev.funkwhale.audio/funkwhale/ui/commit/4a48959a2b2fe554007aed54176b83e39dfcd5ed))
- update colors to resemble mockups ([9edb479](https://dev.funkwhale.audio/funkwhale/ui/commit/9edb479f7e21b4e3e895a6a6ab75d29c63acb113))
- use vue macros ([e69e754](https://dev.funkwhale.audio/funkwhale/ui/commit/e69e75490f5944d7711282a2922c6fcae4104457))

### Bug Fixes

- **bundle:** don't bundle some scss files multiple times ([4056133](https://dev.funkwhale.audio/funkwhale/ui/commit/40561336a7126944028f9d04d2294745575fbc29))
- **cards:** Allow usage of semantic headings without breaking the style ([fb66bd3](https://dev.funkwhale.audio/funkwhale/ui/commit/fb66bd3e18d817c5a78ce02d556da3890d50cc2d))
- **cards:** make buttons always attached to the bottom despite the card height ([1f5e4b2](https://dev.funkwhale.audio/funkwhale/ui/commit/1f5e4b256f9c7989be887aed00674ef710ae5e7f))
- **CI:** Make sure build artifacts are available for deploy ([4faccb8](https://dev.funkwhale.audio/funkwhale/ui/commit/4faccb848f3032523265d1fcc9f0f874de615114))
- **contrast:** make primary variants use lighter text color for better contrast ratio ([0d7bb41](https://dev.funkwhale.audio/funkwhale/ui/commit/0d7bb4103221a0c9981d5089810354c6e98134d7))
- fix button colors ([57738c8](https://dev.funkwhale.audio/funkwhale/ui/commit/57738c8dd5b743378c6dfe5998ea591e173cbe30))
- fix hr height ([3baa68d](https://dev.funkwhale.audio/funkwhale/ui/commit/3baa68d9060a6232330520d3caf5c2a094d0fb0c))
- fix minor documentation bugs and cleanup styles ([ade20a3](https://dev.funkwhale.audio/funkwhale/ui/commit/ade20a382b34709a26488f296fc908d12dc7c25a))
- Make sure all components render properly ([0f1b340](https://dev.funkwhale.audio/funkwhale/ui/commit/0f1b3400637d32d957f78451849f7df5a4775112))
- **pill:** Adjust font-size ([a1ba2e6](https://dev.funkwhale.audio/funkwhale/ui/commit/a1ba2e6ca07b53695443983eb70d9ef97c3abd5f))
- **popover:** make popover closeable by clicking the triggering element again ([af0b111](https://dev.funkwhale.audio/funkwhale/ui/commit/af0b11136f75bccb13d4265f5ef32587281dcc84))
- **renovate:** Pin dev dependencies, no range widening required ([29ee222](https://dev.funkwhale.audio/funkwhale/ui/commit/29ee22282f2f1c532e1d8c8d38f52971ff3061e6))
- **renovate:** Restrict rangeStrategy: widen to npm packages ([d6d0821](https://dev.funkwhale.audio/funkwhale/ui/commit/d6d0821eb78223dbfb02f50996f7a4d962edd0d2))
- resolve dark theme problems ([c35bc8e](https://dev.funkwhale.audio/funkwhale/ui/commit/c35bc8e69531e284f7110ba2c2ca5ed3e612bd5f))
- Set box-sizing of cards to border-box ([09e082b](https://dev.funkwhale.audio/funkwhale/ui/commit/09e082ba1216f8ed80a4396308885d8c2927e7cf))
- spelling errors ([72eb990](https://dev.funkwhale.audio/funkwhale/ui/commit/72eb99042c227660b7fa114c29549e705d5e9172))
- **tests:** fix vitest ([9d714d9](https://dev.funkwhale.audio/funkwhale/ui/commit/9d714d9ff7c3a8693208cc257a5c577fadf7030b))
- **types:** resolve type issues in vite config ([76ca93f](https://dev.funkwhale.audio/funkwhale/ui/commit/76ca93f2cc3bf189e0b16a6638f39bd379e917f0))
- **utils:** fix markdown rendering component ([ea1380f](https://dev.funkwhale.audio/funkwhale/ui/commit/ea1380f35a8d2da02f753bdc651d431ef9df0241))

### Code Refactoring

- **colors:** merge color props under common `color` prop ([2a3a116](https://dev.funkwhale.audio/funkwhale/ui/commit/2a3a116294efe05b8f1f4945f5dfa8e513861828))

## [0.1.3](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.2...v0.1.3) (2022-10-05)

## [0.1.2](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.1...v0.1.2) (2022-10-05)

## [0.1.1](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.0...v0.1.1) (2022-10-05)

## [0.1.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.0-rc1...v0.1.0) (2022-09-29)

## [0.1.0-rc1](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.4-rc2...v0.1.0-rc1) (2022-09-29)

## [0.0.4-rc2](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.3...v0.0.4-rc2) (2022-09-25)

## [0.0.3](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.2...v0.0.3) (2022-09-24)

## 0.0.2 (2022-09-24)
